%define mainver	0.8
%define api	0
%define major	2
%define libname	%mklibname %{name} %{api} %{major}
%define devname	%mklibname %{name} %{api} -d

Name:		cegui
Version:	0.8.7
Release:	%mkrel 2
Summary:	A free library providing windowing and widgets for graphics APIs / engines
Group:		Development/C++
License:	MIT
URL:		http://www.cegui.org.uk
Source0:	http://downloads.sf.net/crayzedsgui/%{name}-%{version}.tar.bz2

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	devil-devel
BuildRequires:	doxygen
BuildRequires:	freeimage-devel
BuildRequires:	glm-devel
BuildRequires:	graphviz
BuildRequires:	irrlicht-devel
BuildRequires:	lua5.1-devel
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(minizip)
BuildRequires:	pkgconfig(OGRE)
BuildRequires:	pkgconfig(OIS)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(xerces-c)
BuildRequires:	tolua++-devel

%description
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++,
and targeted at games developers who should be spending their time creating
great games, not building GUI sub-systems!

#----------------------------------------------------------------------

%package -n	%{libname}
Summary:	CEGUI library
Group:		System/Libraries

# (akien) Tmp obsolete as we can't build python-cegui
Obsoletes:      ceed < 0.8.0-3

%description -n	%{libname}
Crazy Eddie's GUI System is a free library providing windowing and widgets for
graphics APIs / engines where such functionality is not natively available,
or severely lacking. The library is object orientated, written in C++,
and targeted at games developers who should be spending their time creating
great games, not building GUI sub-systems!

%files -n	%{libname}
%doc COPYING README.md
%{_libdir}/libCEGUI*-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}-%{mainver}/

#----------------------------------------------------------------------

%package -n	%{devname}
Summary:	Development files for CEGUI
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Development files for CEGUI.

%files -n	%{devname}
%{_includedir}/%{name}-%{api}/
%{_libdir}/libCEGUI*.so
%{_libdir}/pkgconfig/CEGUI-%{api}*.pc

#----------------------------------------------------------------------

%if 0
%package -n	python-%{name}
Summary:	Python bindings for CEGUI
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	cegui-python < 0.8.4-10
Provides:	cegui-python = %{version}-%{release}

%description -n	python-%{name}
Python bindings called PyCEGUI that enable users to use the full API of CEGUI
from python. Contains bindings for the CEGUI library itself and its
OpenGLRenderer (module PyCEGUIOpenGLRenderer).

%files -n	python-%{name}
%{python_sitearch}/%{name}-%{mainver}/PyCEGUI*.so
%endif

#----------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake -DCEGUI_SAMPLES_ENABLED=FALSE \
       -DCEGUI_BUILD_PYTHON_MODULES=FALSE
%make_build

%install
%make_install -C build

# Remove unnecessary demo content
rm -f %{buildroot}%{_bindir}/toluapp%{name}-%{mainver}
rm -rf %{buildroot}%{_datadir}/%{name}-%{api}


%changelog
* Tue May 17 2016 akien <akien> 0.8.7-2.mga6
+ Revision: 1016250
- Temporarily obsolete ceed, since we cannot build python-cegui

* Fri Apr 29 2016 akien <akien> 0.8.7-1.mga6
+ Revision: 1007672
- Version 0.8.7: hotfix for bogus soname

* Sun Apr 24 2016 akien <akien> 0.8.6-1.mga6
+ Revision: 1005838
- Add patch to fix lib major
- Version 0.8.6

* Sat Apr 16 2016 akien <akien> 0.8.5-2.mga6
+ Revision: 1002986
- Patch0: fix upstream regression with autowindow children

* Sun Mar 13 2016 akien <akien> 0.8.5-1.mga6
+ Revision: 990231
- Version 0.8.5

* Sat Feb 13 2016 umeabot <umeabot> 0.8.4-28.mga6
+ Revision: 959686
- Mageia 6 Mass Rebuild

* Sat Jan 09 2016 akien <akien> 0.8.4-27.mga6
+ Revision: 920672
- Temporarily disable building python module (upstream#1114)

  + daviddavid <daviddavid>
    - rebuild for new boost 1.60.0

* Sun Sep 27 2015 tv <tv> 0.8.4-26.mga6
+ Revision: 884129
- rebuild for new boost

  + fwang <fwang>
    - rebuild for new boost

* Mon Aug 24 2015 sander85 <sander85> 0.8.4-24.mga6
+ Revision: 869077
- Rebuild for new glew 1.13.0

* Sat Aug 22 2015 akien <akien> 0.8.4-23.mga6
+ Revision: 868103
- Rebuild for gcc 5.2.1

* Sun Aug 02 2015 daviddavid <daviddavid> 0.8.4-22.mga6
+ Revision: 860773
- remove unneeded Requires on %%{_lib}boost_python1.55.0 as it is already auto-required

* Sun Aug 02 2015 daviddavid <daviddavid> 0.8.4-21.mga6
+ Revision: 860505
- rebuild for new boost-1.58.0

* Wed Jun 24 2015 akien <akien> 0.8.4-20.mga6
+ Revision: 841999
- Rebuild for GLEW 1.12

* Mon Jan 26 2015 akien <akien> 0.8.4-19.mga5
+ Revision: 812410
- Remove sample data from devel package

* Sat Dec 27 2014 akien <akien> 0.8.4-18.mga5
+ Revision: 806703
- Do not provide devel documentation (too heavy, available online)

* Wed Oct 22 2014 akien <akien> 0.8.4-17.mga5
+ Revision: 792542
- Limit the nodes for the parallel build to workaround cc1plus failure
- Rebuild for BS issue
- Workaround missing symbols in PyOpenGLRenderer (patch based on upstream recommendation)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 akien <akien> 0.8.4-13.mga5
+ Revision: 736260
- Rebuild again for BS issue
- Rebuild because of BS issue
- Rename python module to python-cegui instead of cegui-python

  + tv <tv>
    - rebuild for missing pythoneggs deps

* Tue Sep 23 2014 akien <akien> 0.8.4-9.mga5
+ Revision: 721771
- Build documentation

* Sun Sep 21 2014 akien <akien> 0.8.4-8.mga5
+ Revision: 708220
- Add GLFW dependency to effectively build the OpenGLRenderer component (reverted)

* Sun Sep 21 2014 akien <akien> 0.8.4-7.mga5
+ Revision: 707452
- Fix boost_python dependency for the cegui-python package

* Thu Sep 18 2014 umeabot <umeabot> 0.8.4-6.mga5
+ Revision: 693582
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.8.4-5.mga5
+ Revision: 678343
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.8.4-4.mga5
+ Revision: 670263
- rebuild for glew

* Fri Aug 29 2014 akien <akien> 0.8.4-3.mga5
+ Revision: 669178
- Add upstream patch to revert ABI/API breakage introduced in 0.8.4

* Tue Aug 26 2014 luigiwalser <luigiwalser> 0.8.4-2.mga5
+ Revision: 668436
- 0.8.4 (fixes build)
- BR ois-devel (from fedora)
- remove upstreamed patch
- remove commands in spec no longer needed due to upstream fixes (from fedora)
- rebuild

  + akien <akien>
    - Library RPM group is System/Libraries

* Tue Apr 01 2014 akien <akien> 0.8.3-1.mga5
+ Revision: 611177
- New version 0.8.3
- Add a SUSE patch to fix OGRE renderer building
- New python subpackage for Python bindings
- Better libification with regard to our policy
- Use up-to-date Source0 URL

* Thu Mar 13 2014 dams <dams> 0.7.9-1.mga5
+ Revision: 603110
- new version 0.7.9

* Sat Oct 19 2013 umeabot <umeabot> 0.7.7-6.mga4
+ Revision: 530459
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 0.7.7-5.mga4
+ Revision: 457693
- Rebuild for new glew

* Fri Jan 11 2013 umeabot <umeabot> 0.7.7-4.mga3
+ Revision: 347551
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.7.7-3.mga3
+ Revision: 323635
- rebuild for new pcre

* Thu Aug 30 2012 fwang <fwang> 0.7.7-2.mga3
+ Revision: 285747
- use configure2_5x

* Thu Aug 30 2012 fwang <fwang> 0.7.7-1.mga3
+ Revision: 285738
- irrlicht renderer does not build now
- new version 0.7.7
- rebuild for new glew

* Mon Oct 03 2011 fwang <fwang> 0.7.5-5.mga2
+ Revision: 151156
- rebuild for new glew

* Wed Sep 21 2011 fwang <fwang> 0.7.5-4.mga2
+ Revision: 146381
- drop .la files

  + stormi <stormi>
    - clean spec

  + zezinho <zezinho>
    - disable SILLY for now, as it is not packaged
    - imported package cegui

